Discussion:
la version del RPM
(too old to reply)
Héctor Jaskolowski
2005-06-24 16:45:49 UTC
Permalink
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y cuando
los quise instalar pa joder nomas el rpm me mando un mensaje que no puede
instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
Carlos Charlie Navarro
2005-06-24 16:45:54 UTC
Permalink
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y cuando
los quise instalar pa joder nomas el rpm me mando un mensaje que no puede
instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
No se de donde bajaste esos RPM, lo que si con los kernel lo mejor es bajarse de
ftp.kernel.org el kernel de tu preferencia, los cuales viene tar y gz o bz2 y con
el comando:

tar zxvf linux-xxxx.tar.gz o tar Ixvf linux-tar.gz

compilas y haces todo sin depender de las restricciones de los rpm que nunca
estan muy seguro de lo que tienen en sus bases de datos.
Hasta John que trabaja con debian en que la base de datos es mas estable baja
tar.gz o tar.bz2

Charlie
Héctor Jaskolowski
2005-06-24 16:46:11 UTC
Permalink
los baje de un sitio de Peru
pero hasta ahora no habia tenido esos problemas... tal vez estan compilados
con una nueva version de rpm...
Post by Carlos Charlie Navarro
No se de donde bajaste esos RPM, lo que si con los kernel lo mejor es bajarse de
ftp.kernel.org el kernel de tu preferencia, los cuales viene tar y gz o bz2 y con
tar zxvf linux-xxxx.tar.gz o tar Ixvf linux-tar.gz
compilas y haces todo sin depender de las restricciones de los rpm que nunca
estan muy seguro de lo que tienen en sus bases de datos.
Hasta John que trabaja con debian en que la base de datos es mas estable baja
tar.gz o tar.bz2
Charlie
Francisco Matias Cuenca-Acuna
2005-06-24 16:46:29 UTC
Permalink
No me parece que los RPM sean una cagada, mas aun en el caso de
los kernels red hat es mucho mas conveniente (comparado con los tar) porque
de fabrica viene pichicateados (ej: el raid de los kernels 2.2 es el que
esta va a ser entregado en la version 2.4). Ademas si tu plataforma es RH
te aseguras que todo va a estar en la posicion correcta asi subsecuentes
patches andan OK
En cuanto a RPM4, se puede conseguir un RPN en version 3 para
instalarlo, el unico truco es que tenes que hacer un rebuild de la base de
datos.
Matias
Post by Héctor Jaskolowski
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando
Post by Héctor Jaskolowski
los quise instalar pa joder nomas el rpm me mando un mensaje que no puede
instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
No se de donde bajaste esos RPM, lo que si con los kernel lo mejor es bajarse de
ftp.kernel.org el kernel de tu preferencia, los cuales viene tar y gz o bz2 y con
tar zxvf linux-xxxx.tar.gz o tar Ixvf linux-tar.gz
compilas y haces todo sin depender de las restricciones de los rpm que nunca
estan muy seguro de lo que tienen en sus bases de datos.
Hasta John que trabaja con debian en que la base de datos es mas estable baja
tar.gz o tar.bz2
Charlie
-
Para configurar su suscripcion, puede enviar email a
I am the one who is many.
Carlos Charlie Navarro
2005-06-24 16:46:45 UTC
Permalink
Post by Francisco Matias Cuenca-Acuna
No me parece que los RPM sean una cagada, mas aun en el caso de
los kernels red hat es mucho mas conveniente (comparado con los tar) porque
de fabrica viene pichicateados (ej: el raid de los kernels 2.2 es el que
esta va a ser entregado en la version 2.4). Ademas si tu plataforma es RH
te aseguras que todo va a estar en la posicion correcta asi subsecuentes
patches andan OK
Estimado Matias, vamos a aclarar algo, RPM es una cagada.
En teoria no deberia haber pichicateos ya que es software libre y deberias
conseguir lo mismo parchando a gusto tu kernel hasta que este pueda hacer pororo.
Para el raid o LVM bajas el kernel de ftp.kernel.org y de sistina.com los parches
y los utilitarios y magicamente y por tu propia mano tenes un kernel 2.2.x o lo
que sea con soporte de RAID o LVM.
Si uno tiene cuidado y tiene una distro "La pindonga" puede parcharla ad-nauseam
para que paresca otra distro o una BeBox.
Ademas los kernel de las distro vienen cosas que no necesitas, yo uso SuSE asi que
mi kernel en rpm biene compilado por modulos para todas las placas de red y SCSI
que el kernel soporta, para que si yo tengo un 486 con una NE200 y un modem sin
disco y booteo de la red? Ni hablar de un ruteador que tiene 6 placas de red del
mismo tipo y con IDE pero debo tener CBQ activado?
Por alguna razon la cual no entiendo termino instalando rpm con opciones "-Uvh
--force --nodeps" que es como si no tubiera rpm ya que de otra manera las
dependencias me matan.
No se si los .dev es mejor, solo se que aptget se encargara de instalarme las
dependencias, de todas maneras prefiero los fuentes y compilarlo yo a todo.
Puede que RPM fasilite a muchos el mantenimiento de un sistema. Pero si requiero
exprimir mi linux al maximo ni rpm, ni aptget te va dar lo mismo que make.
Post by Francisco Matias Cuenca-Acuna
En cuanto a RPM4, se puede conseguir un RPN en version 3 para
instalarlo, el unico truco es que tenes que hacer un rebuild de la base de
datos.
Yo utilizaria ese que traduce de rpm a dev y comenar a tener un sistema mas
debian. Yo estoy en esa proceso. Apesar de que SuSE esta basado en rpm.

Charlie
FRANCISCO CUENCA ACUNA
2005-06-24 16:47:12 UTC
Permalink
Aaaaaa sigo pensando que los RPM (o cualquier manejador de
modulos) son una buena cosa y necesaria. Tambien se que todabia no son una
cosa optima y cuando tus dependencias se van a la mierda estas sonado (rpm
--force).
En cuanto al kernel, por supuesto que RH no inventa nada y todo se
baja recurriendo a N sitios. Pero si a vos te interesa usar el kernel y no
jugar con el kernel me parece que es conveniente usar algun tipo de manager
Tambien acuerdo con vos que si lo que te interesa es especializar
tu kernel para que soporte to chipset SIS y tu NIC con tulip(en modo
duplex) entonces seguro que queres ajustar las tuercas vos mismo. Pero si
tu intenciones es usar ese kernel en 16 maquinas a la ves entonces te va a
interesar uno que ande bien en todas.
Saludos
Matias
PD:Bajo nigun motivo quiero iniciar un flamefest, solo me parecio que
recomendar a la gente que no usaran rpms no era del todo correcto
Post by Carlos Charlie Navarro
Post by Francisco Matias Cuenca-Acuna
No me parece que los RPM sean una cagada, mas aun en el caso de
los kernels red hat es mucho mas conveniente (comparado con los tar) porque
de fabrica viene pichicateados (ej: el raid de los kernels 2.2 es el que
esta va a ser entregado en la version 2.4). Ademas si tu plataforma es RH
te aseguras que todo va a estar en la posicion correcta asi subsecuentes
patches andan OK
Estimado Matias, vamos a aclarar algo, RPM es una cagada.
En teoria no deberia haber pichicateos ya que es software libre y deberias
conseguir lo mismo parchando a gusto tu kernel hasta que este pueda hacer pororo.
Para el raid o LVM bajas el kernel de ftp.kernel.org y de sistina.com los parches
y los utilitarios y magicamente y por tu propia mano tenes un kernel 2.2.x o lo
que sea con soporte de RAID o LVM.
Si uno tiene cuidado y tiene una distro "La pindonga" puede parcharla ad-nauseam
para que paresca otra distro o una BeBox.
Ademas los kernel de las distro vienen cosas que no necesitas, yo uso SuSE asi que
mi kernel en rpm biene compilado por modulos para todas las placas de red y SCSI
que el kernel soporta, para que si yo tengo un 486 con una NE200 y un modem sin
disco y booteo de la red? Ni hablar de un ruteador que tiene 6 placas de red del
mismo tipo y con IDE pero debo tener CBQ activado?
Por alguna razon la cual no entiendo termino instalando rpm con opciones "-Uvh
--force --nodeps" que es como si no tubiera rpm ya que de otra manera las
dependencias me matan.
No se si los .dev es mejor, solo se que aptget se encargara de instalarme las
dependencias, de todas maneras prefiero los fuentes y compilarlo yo a todo.
Puede que RPM fasilite a muchos el mantenimiento de un sistema. Pero si requiero
exprimir mi linux al maximo ni rpm, ni aptget te va dar lo mismo que make.
Post by Francisco Matias Cuenca-Acuna
En cuanto a RPM4, se puede conseguir un RPN en version 3 para
instalarlo, el unico truco es que tenes que hacer un rebuild de la base de
datos.
Yo utilizaria ese que traduce de rpm a dev y comenar a tener un sistema mas
debian. Yo estoy en esa proceso. Apesar de que SuSE esta basado en rpm.
Charlie
-
Para configurar su suscripcion, puede enviar email a
I am the one who is many.
Carlos Navarro
2005-06-24 16:47:41 UTC
Permalink
Post by FRANCISCO CUENCA ACUNA
PD:Bajo nigun motivo quiero iniciar un flamefest, solo me parecio que
recomendar a la gente que no usaran rpms no era del todo correcto
A mi tampoco me gustan los flames, a menos que corra mucha sangre pero el tema
no es muy sangriento.
Ya que estamos deacuerdo con el tema de los rpm, me voy a referir al echo de
usar o no este tipo de herramientas, tanto rpm como el manejador de .deb.

Debo reconocer que lo vi a John instalando el update de Gnome en una maquina
debian y la verdad que la maquina laburo sola realmente. En ningun momento
le salto problemas de dependendencias.
Pero hace unos meses atras el no habia instalado perl 5.6 porque no habia salido
el .deb correspondiente.
Esta bien que en debian si perl no funciona correctamente todo se va al carajo
pero el cambio de 5.5 a 5.6 no era tan traumatico.
Yo no voy a perder una noche de compilacion bajando fuentes de KDE 2.0.1 y
configurarlo a manopla. No baje los rpm de SuSE y los instale con las opciones
que siempre le pongo, que traducida al castellano seria: me importa un rabano
las dependencias.
Con licq paso algo raro, nunca me funciono un rpm. Baje los fuentes compile y
tengo mi ICQ Client con todos los chiches de KDE Nuevo y aprendi que habia
archivos .moc que son unas cosas raras para programanr ventanas y cosas graficas
en KDE.
Ayer tube que parchar un Kernel y para colmo el parchado salio mal y lo tube
que hacer por diff de mi ojo, el cual no es muy confiable. Pero pude hacer
funcionar una placa SCSI.
A lo que voy es que estamos en el mundo del Software Libre y nos atamos a los
rpm o deb y no nos largamos a ver como son las cosas por dentro.

A mi me quedan muchas materias pendientes en este campo pero estoy tratando
de ver como se solucionan.
Es cierto que como programadores somos totalmente vagos si no estariamos en un
gimnasio todo el dia.
Pero atarse a extrictamente a lo que saque tal o tal distro me hace recordar a
gente que espera que salga parche del tama#o de un CD para su winchot.

Un Abrazo a todos

Charlie
Pablo Medrano
2005-06-24 16:48:32 UTC
Permalink
Repito...

Tenemos total libertad de armar los MakeFile como corresponda,
con lo que a pesar de usar paquetes .deb, aun asi somos libres de usar
esos maravillosos fuentes libres (pero con responsabilidad....)
Eso si queremos mantener una distribucion coherente que nos haga la
vida mas facil....

Slds
Pablo

===============================================================================
Post by Carlos Navarro
A lo que voy es que estamos en el mundo del Software Libre y nos atamos a los
rpm o deb y no nos largamos a ver como son las cosas por dentro.
A mi me quedan muchas materias pendientes en este campo pero estoy tratando
de ver como se solucionan.
Es cierto que como programadores somos totalmente vagos si no estariamos en un
gimnasio todo el dia.
Pero atarse a extrictamente a lo que saque tal o tal distro me hace recordar a
gente que espera que salga parche del tama#o de un CD para su winchot.
Un Abrazo a todos
Charlie
John R Lenton
2005-06-24 16:48:34 UTC
Permalink
Post by Carlos Navarro
Debo reconocer que lo vi a John instalando el update de Gnome en una maquina
debian y la verdad que la maquina laburo sola realmente. En ningun momento
le salto problemas de dependendencias.
conversamente, admito que se ha roto en un par de oportuniadades el
woody este, como cuando de repente me quedé sin locale hace un ratito
(los locales pasaron a ser compilados "a demanda", con un archivo de
configuración, pero el cartelito que avisaba de este cambio se les
olvidó entonces hasta que me dí cuenta que era por eso que tenia un
delay al arrancar aparentemente cualquier programa (pero no todos), ...
Post by Carlos Navarro
Pero hace unos meses atras el no habia instalado perl 5.6 porque no habia salido
el .deb correspondiente.
conversamente una vez más, esto tiene más que ver con que yo soy vago:
desde mayo del '99 que vengo configurando boludeces en esta máquina; soy
bastante hichabolas con cómo está todo, y de repente empezar de cero por
el motivo que fuere es un poco molesto. De allí que por ahí prefiero
esperar un par de semanas antes de perder un par de semanas por querer
tener una version un poco más nueva.

(PS: tratá de correr blend contra 5.005)
--
John Lenton (john-od3Ii2+oAupd+***@public.gmane.org) -- Random fortune:
La juventud no es más que un estado de ánimo.
-- Frank Lloyd Wright.
Pablo Medrano
2006-02-11 18:31:35 UTC
Permalink
Repito...

Tenemos total libertad de armar los MakeFile como corresponda,
con lo que a pesar de usar paquetes .deb, aun asi somos libres de usar
esos maravillosos fuentes libres (pero con responsabilidad....)
Eso si queremos mantener una distribucion coherente que nos haga la
vida mas facil....

Slds
Pablo

===============================================================================
Post by Carlos Navarro
A lo que voy es que estamos en el mundo del Software Libre y nos atamos a los
rpm o deb y no nos largamos a ver como son las cosas por dentro.
A mi me quedan muchas materias pendientes en este campo pero estoy tratando
de ver como se solucionan.
Es cierto que como programadores somos totalmente vagos si no estariamos en un
gimnasio todo el dia.
Pero atarse a extrictamente a lo que saque tal o tal distro me hace recordar a
gente que espera que salga parche del tama#o de un CD para su winchot.
Un Abrazo a todos
Charlie
John R Lenton
2006-02-11 18:31:37 UTC
Permalink
Post by Carlos Navarro
Debo reconocer que lo vi a John instalando el update de Gnome en una maquina
debian y la verdad que la maquina laburo sola realmente. En ningun momento
le salto problemas de dependendencias.
conversamente, admito que se ha roto en un par de oportuniadades el
woody este, como cuando de repente me quedé sin locale hace un ratito
(los locales pasaron a ser compilados "a demanda", con un archivo de
configuración, pero el cartelito que avisaba de este cambio se les
olvidó entonces hasta que me dí cuenta que era por eso que tenia un
delay al arrancar aparentemente cualquier programa (pero no todos), ...
Post by Carlos Navarro
Pero hace unos meses atras el no habia instalado perl 5.6 porque no habia salido
el .deb correspondiente.
conversamente una vez más, esto tiene más que ver con que yo soy vago:
desde mayo del '99 que vengo configurando boludeces en esta máquina; soy
bastante hichabolas con cómo está todo, y de repente empezar de cero por
el motivo que fuere es un poco molesto. De allí que por ahí prefiero
esperar un par de semanas antes de perder un par de semanas por querer
tener una version un poco más nueva.

(PS: tratá de correr blend contra 5.005)
--
John Lenton (john-od3Ii2+oAupd+***@public.gmane.org) -- Random fortune:
La juventud no es más que un estado de ánimo.
-- Frank Lloyd Wright.
Pablo Medrano
2005-06-24 16:47:58 UTC
Permalink
Bien... bien...
Vayamos por partes, (como dijo "Jack el Destripador")

=======================================================================
Post by FRANCISCO CUENCA ACUNA
Aaaaaa sigo pensando que los RPM (o cualquier manejador de
modulos) son una buena cosa y necesaria. Tambien se que todabia no son una
cosa optima y cuando tus dependencias se van a la mierda estas sonado (rpm
--force).
En cuanto al kernel, por supuesto que RH no inventa nada y todo se
baja recurriendo a N sitios. Pero si a vos te interesa usar el kernel y no
jugar con el kernel me parece que es conveniente usar algun tipo de manager
Tambien acuerdo con vos que si lo que te interesa es especializar
tu kernel para que soporte to chipset SIS y tu NIC con tulip(en modo
duplex) entonces seguro que queres ajustar las tuercas vos mismo. Pero si
tu intenciones es usar ese kernel en 16 maquinas a la ves entonces te va a
interesar uno que ande bien en todas.
Saludos
Matias
PD:Bajo nigun motivo quiero iniciar un flamefest, solo me parecio que
recomendar a la gente que no usaran rpms no era del todo correcto
=========================================================================
Si... Y no...
Coincido a pleno que para optimizar un sistema muy "customizado", (como
me gusta esa palabra...),
No hay nada mejor que "ajustar las tuercas a gusto", pero... si ademas
podemos
hacerlo conservando un sitema en armonia para un posterior mantenimiento
mas
liviano de laburo mejor, (aclaro que no escribo desde Santiago del
Estero)
Que quiero decir con esto. Que un manejador de paquetes (de paquetes
correctamente
armados), es un amigo fiel.
En este caso entonces la culpa no es del chancho sino del que le da de
comer.
El RPM es una herramienta util y medianamente poderosa, pero la cag**
son en realidad
los paquetes rpm en si, los cuales estan armados con cero criterio en
muchos de los casos (no en todos, pero si en muchos), y respetan
(respetan?) el standard de ficheros
y otras yerbas POSIX (dije YERBAS, no HIERBAS... y dije POSIX, no
POXI-RAN), igual que
a un semaforo en ROJO a las 3 de la mañana.
Por eso es que uno puede optar por los paquetes .deb (los oficiales),
sabiendo que
si no estan correctamente armados, el "manteiner" (como me gusta esta
tambien...),
va a recibir una patada en el cu**.
Ahora... si pensamos en meter cosas externas a la distro oficial que
tenemos en
nuestro sistema, existe la documentacion necesaria para que podamos
armar nuestros
propios paquetes, y dejar entrar ese software (sin otra cosa que un make
con esteroides), a nuestro sistema pero de manera prolija y con
"pasaporte".
De este modo podemos seguir usando el bendito manejador de paquetes,
agregarle
"cuerpos extraños" al sistema, y no perder en nignun momento el manejo
ordenado del
sistema de archivos, y la correcta policy de nuestra distro para futuros
usos del
manejador de paquetes.
claro esta que...
no se si los RPM's tambien lo permiten asi...
Disculpen pero ultimamente me he vuelto un adicto al pure de "POTATO"

(sigue abajo un poquito mas...)
=========================================================================
Post by FRANCISCO CUENCA ACUNA
Post by Carlos Charlie Navarro
Post by Francisco Matias Cuenca-Acuna
No me parece que los RPM sean una cagada, mas aun en el caso de
los kernels red hat es mucho mas conveniente (comparado con los tar) porque
de fabrica viene pichicateados (ej: el raid de los kernels 2.2 es el que
esta va a ser entregado en la version 2.4). Ademas si tu plataforma es RH
te aseguras que todo va a estar en la posicion correcta asi subsecuentes
patches andan OK
Estimado Matias, vamos a aclarar algo, RPM es una cagada.
En teoria no deberia haber pichicateos ya que es software libre y deberias
conseguir lo mismo parchando a gusto tu kernel hasta que este pueda hacer pororo.
Para el raid o LVM bajas el kernel de ftp.kernel.org y de sistina.com los parches
y los utilitarios y magicamente y por tu propia mano tenes un kernel 2.2.x o lo
que sea con soporte de RAID o LVM.
Si uno tiene cuidado y tiene una distro "La pindonga" puede parcharla ad-nauseam
para que paresca otra distro o una BeBox.
Ademas los kernel de las distro vienen cosas que no necesitas, yo uso SuSE asi que
mi kernel en rpm biene compilado por modulos para todas las placas de red y SCSI
que el kernel soporta, para que si yo tengo un 486 con una NE200 y un modem sin
disco y booteo de la red? Ni hablar de un ruteador que tiene 6 placas de red del
mismo tipo y con IDE pero debo tener CBQ activado?
Por alguna razon la cual no entiendo termino instalando rpm con opciones "-Uvh
--force --nodeps" que es como si no tubiera rpm ya que de otra manera las
dependencias me matan.
No se si los .dev es mejor, solo se que aptget se encargara de instalarme las
dependencias, de todas maneras prefiero los fuentes y compilarlo yo a todo.
Puede que RPM fasilite a muchos el mantenimiento de un sistema. Pero si requiero
exprimir mi linux al maximo ni rpm, ni aptget te va dar lo mismo que make.
Post by Francisco Matias Cuenca-Acuna
En cuanto a RPM4, se puede conseguir un RPN en version 3 para
instalarlo, el unico truco es que tenes que hacer un rebuild de la base de
datos.
Yo utilizaria ese que traduce de rpm a dev y comenar a tener un sistema mas
debian. Yo estoy en esa proceso. Apesar de que SuSE esta basado en rpm.
Charlie
=========================================================================
No estaria tan mal, pero entre otras cosas lo malo de estos engendros o
"pichicateados",
esta esa "utilidad" que te busca rpm's de manera irresponsable por
Internet,
con lo cual te terminas bajando quien sabe que cosa, armado por quien
sabe quien,
y conteniendo quien sabe que...

Por otro lado...
Los kernel de las distros vienen como...?
Perdonen mi ignorancia... pero... Son otros diferentes...?
No lo haces a tu medida y necesidad cuando lo compilas sea la distro que
sea?

Y... al que le guste hacer make por control de que y como lo instala,
rpm
apt-get, dpkg, no hacen otra cosa que make... pero de manera mas
dinamica.
y sus MakeFile's los podes tocar al armar el paquete (al menos si es
.deb)
con los rpm no me meto porque no es agradable ponerte a re-armar
correctamente
el 90% de la distribucion para que se instale coherente y ordenada...

Perdon por el "choclazo" de mail... pero hacia como un año que no
participaba de la lista.
prometo ser mas breve en los proximos...

Slds.
Pablo Medrano
(K-maleon)

PD: Es lindo estar de vuelta entre amigos...
Carlos Navarro
2006-02-11 18:31:13 UTC
Permalink
Post by FRANCISCO CUENCA ACUNA
PD:Bajo nigun motivo quiero iniciar un flamefest, solo me parecio que
recomendar a la gente que no usaran rpms no era del todo correcto
A mi tampoco me gustan los flames, a menos que corra mucha sangre pero el tema
no es muy sangriento.
Ya que estamos deacuerdo con el tema de los rpm, me voy a referir al echo de
usar o no este tipo de herramientas, tanto rpm como el manejador de .deb.

Debo reconocer que lo vi a John instalando el update de Gnome en una maquina
debian y la verdad que la maquina laburo sola realmente. En ningun momento
le salto problemas de dependendencias.
Pero hace unos meses atras el no habia instalado perl 5.6 porque no habia salido
el .deb correspondiente.
Esta bien que en debian si perl no funciona correctamente todo se va al carajo
pero el cambio de 5.5 a 5.6 no era tan traumatico.
Yo no voy a perder una noche de compilacion bajando fuentes de KDE 2.0.1 y
configurarlo a manopla. No baje los rpm de SuSE y los instale con las opciones
que siempre le pongo, que traducida al castellano seria: me importa un rabano
las dependencias.
Con licq paso algo raro, nunca me funciono un rpm. Baje los fuentes compile y
tengo mi ICQ Client con todos los chiches de KDE Nuevo y aprendi que habia
archivos .moc que son unas cosas raras para programanr ventanas y cosas graficas
en KDE.
Ayer tube que parchar un Kernel y para colmo el parchado salio mal y lo tube
que hacer por diff de mi ojo, el cual no es muy confiable. Pero pude hacer
funcionar una placa SCSI.
A lo que voy es que estamos en el mundo del Software Libre y nos atamos a los
rpm o deb y no nos largamos a ver como son las cosas por dentro.

A mi me quedan muchas materias pendientes en este campo pero estoy tratando
de ver como se solucionan.
Es cierto que como programadores somos totalmente vagos si no estariamos en un
gimnasio todo el dia.
Pero atarse a extrictamente a lo que saque tal o tal distro me hace recordar a
gente que espera que salga parche del tama#o de un CD para su winchot.

Un Abrazo a todos

Charlie
Pablo Medrano
2006-02-11 18:31:17 UTC
Permalink
Bien... bien...
Vayamos por partes, (como dijo "Jack el Destripador")

=======================================================================
Post by FRANCISCO CUENCA ACUNA
Aaaaaa sigo pensando que los RPM (o cualquier manejador de
modulos) son una buena cosa y necesaria. Tambien se que todabia no son una
cosa optima y cuando tus dependencias se van a la mierda estas sonado (rpm
--force).
En cuanto al kernel, por supuesto que RH no inventa nada y todo se
baja recurriendo a N sitios. Pero si a vos te interesa usar el kernel y no
jugar con el kernel me parece que es conveniente usar algun tipo de manager
Tambien acuerdo con vos que si lo que te interesa es especializar
tu kernel para que soporte to chipset SIS y tu NIC con tulip(en modo
duplex) entonces seguro que queres ajustar las tuercas vos mismo. Pero si
tu intenciones es usar ese kernel en 16 maquinas a la ves entonces te va a
interesar uno que ande bien en todas.
Saludos
Matias
PD:Bajo nigun motivo quiero iniciar un flamefest, solo me parecio que
recomendar a la gente que no usaran rpms no era del todo correcto
=========================================================================
Si... Y no...
Coincido a pleno que para optimizar un sistema muy "customizado", (como
me gusta esa palabra...),
No hay nada mejor que "ajustar las tuercas a gusto", pero... si ademas
podemos
hacerlo conservando un sitema en armonia para un posterior mantenimiento
mas
liviano de laburo mejor, (aclaro que no escribo desde Santiago del
Estero)
Que quiero decir con esto. Que un manejador de paquetes (de paquetes
correctamente
armados), es un amigo fiel.
En este caso entonces la culpa no es del chancho sino del que le da de
comer.
El RPM es una herramienta util y medianamente poderosa, pero la cag**
son en realidad
los paquetes rpm en si, los cuales estan armados con cero criterio en
muchos de los casos (no en todos, pero si en muchos), y respetan
(respetan?) el standard de ficheros
y otras yerbas POSIX (dije YERBAS, no HIERBAS... y dije POSIX, no
POXI-RAN), igual que
a un semaforo en ROJO a las 3 de la mañana.
Por eso es que uno puede optar por los paquetes .deb (los oficiales),
sabiendo que
si no estan correctamente armados, el "manteiner" (como me gusta esta
tambien...),
va a recibir una patada en el cu**.
Ahora... si pensamos en meter cosas externas a la distro oficial que
tenemos en
nuestro sistema, existe la documentacion necesaria para que podamos
armar nuestros
propios paquetes, y dejar entrar ese software (sin otra cosa que un make
con esteroides), a nuestro sistema pero de manera prolija y con
"pasaporte".
De este modo podemos seguir usando el bendito manejador de paquetes,
agregarle
"cuerpos extraños" al sistema, y no perder en nignun momento el manejo
ordenado del
sistema de archivos, y la correcta policy de nuestra distro para futuros
usos del
manejador de paquetes.
claro esta que...
no se si los RPM's tambien lo permiten asi...
Disculpen pero ultimamente me he vuelto un adicto al pure de "POTATO"

(sigue abajo un poquito mas...)
=========================================================================
Post by FRANCISCO CUENCA ACUNA
Post by Carlos Charlie Navarro
Post by Francisco Matias Cuenca-Acuna
No me parece que los RPM sean una cagada, mas aun en el caso de
los kernels red hat es mucho mas conveniente (comparado con los tar) porque
de fabrica viene pichicateados (ej: el raid de los kernels 2.2 es el que
esta va a ser entregado en la version 2.4). Ademas si tu plataforma es RH
te aseguras que todo va a estar en la posicion correcta asi subsecuentes
patches andan OK
Estimado Matias, vamos a aclarar algo, RPM es una cagada.
En teoria no deberia haber pichicateos ya que es software libre y deberias
conseguir lo mismo parchando a gusto tu kernel hasta que este pueda hacer pororo.
Para el raid o LVM bajas el kernel de ftp.kernel.org y de sistina.com los parches
y los utilitarios y magicamente y por tu propia mano tenes un kernel 2.2.x o lo
que sea con soporte de RAID o LVM.
Si uno tiene cuidado y tiene una distro "La pindonga" puede parcharla ad-nauseam
para que paresca otra distro o una BeBox.
Ademas los kernel de las distro vienen cosas que no necesitas, yo uso SuSE asi que
mi kernel en rpm biene compilado por modulos para todas las placas de red y SCSI
que el kernel soporta, para que si yo tengo un 486 con una NE200 y un modem sin
disco y booteo de la red? Ni hablar de un ruteador que tiene 6 placas de red del
mismo tipo y con IDE pero debo tener CBQ activado?
Por alguna razon la cual no entiendo termino instalando rpm con opciones "-Uvh
--force --nodeps" que es como si no tubiera rpm ya que de otra manera las
dependencias me matan.
No se si los .dev es mejor, solo se que aptget se encargara de instalarme las
dependencias, de todas maneras prefiero los fuentes y compilarlo yo a todo.
Puede que RPM fasilite a muchos el mantenimiento de un sistema. Pero si requiero
exprimir mi linux al maximo ni rpm, ni aptget te va dar lo mismo que make.
Post by Francisco Matias Cuenca-Acuna
En cuanto a RPM4, se puede conseguir un RPN en version 3 para
instalarlo, el unico truco es que tenes que hacer un rebuild de la base de
datos.
Yo utilizaria ese que traduce de rpm a dev y comenar a tener un sistema mas
debian. Yo estoy en esa proceso. Apesar de que SuSE esta basado en rpm.
Charlie
=========================================================================
No estaria tan mal, pero entre otras cosas lo malo de estos engendros o
"pichicateados",
esta esa "utilidad" que te busca rpm's de manera irresponsable por
Internet,
con lo cual te terminas bajando quien sabe que cosa, armado por quien
sabe quien,
y conteniendo quien sabe que...

Por otro lado...
Los kernel de las distros vienen como...?
Perdonen mi ignorancia... pero... Son otros diferentes...?
No lo haces a tu medida y necesidad cuando lo compilas sea la distro que
sea?

Y... al que le guste hacer make por control de que y como lo instala,
rpm
apt-get, dpkg, no hacen otra cosa que make... pero de manera mas
dinamica.
y sus MakeFile's los podes tocar al armar el paquete (al menos si es
.deb)
con los rpm no me meto porque no es agradable ponerte a re-armar
correctamente
el 90% de la distribucion para que se instale coherente y ordenada...

Perdon por el "choclazo" de mail... pero hacia como un año que no
participaba de la lista.
prometo ser mas breve en los proximos...

Slds.
Pablo Medrano
(K-maleon)

PD: Es lindo estar de vuelta entre amigos...
FRANCISCO CUENCA ACUNA
2006-02-11 18:31:08 UTC
Permalink
Aaaaaa sigo pensando que los RPM (o cualquier manejador de
modulos) son una buena cosa y necesaria. Tambien se que todabia no son una
cosa optima y cuando tus dependencias se van a la mierda estas sonado (rpm
--force).
En cuanto al kernel, por supuesto que RH no inventa nada y todo se
baja recurriendo a N sitios. Pero si a vos te interesa usar el kernel y no
jugar con el kernel me parece que es conveniente usar algun tipo de manager
Tambien acuerdo con vos que si lo que te interesa es especializar
tu kernel para que soporte to chipset SIS y tu NIC con tulip(en modo
duplex) entonces seguro que queres ajustar las tuercas vos mismo. Pero si
tu intenciones es usar ese kernel en 16 maquinas a la ves entonces te va a
interesar uno que ande bien en todas.
Saludos
Matias
PD:Bajo nigun motivo quiero iniciar un flamefest, solo me parecio que
recomendar a la gente que no usaran rpms no era del todo correcto
Post by Carlos Charlie Navarro
Post by Francisco Matias Cuenca-Acuna
No me parece que los RPM sean una cagada, mas aun en el caso de
los kernels red hat es mucho mas conveniente (comparado con los tar) porque
de fabrica viene pichicateados (ej: el raid de los kernels 2.2 es el que
esta va a ser entregado en la version 2.4). Ademas si tu plataforma es RH
te aseguras que todo va a estar en la posicion correcta asi subsecuentes
patches andan OK
Estimado Matias, vamos a aclarar algo, RPM es una cagada.
En teoria no deberia haber pichicateos ya que es software libre y deberias
conseguir lo mismo parchando a gusto tu kernel hasta que este pueda hacer pororo.
Para el raid o LVM bajas el kernel de ftp.kernel.org y de sistina.com los parches
y los utilitarios y magicamente y por tu propia mano tenes un kernel 2.2.x o lo
que sea con soporte de RAID o LVM.
Si uno tiene cuidado y tiene una distro "La pindonga" puede parcharla ad-nauseam
para que paresca otra distro o una BeBox.
Ademas los kernel de las distro vienen cosas que no necesitas, yo uso SuSE asi que
mi kernel en rpm biene compilado por modulos para todas las placas de red y SCSI
que el kernel soporta, para que si yo tengo un 486 con una NE200 y un modem sin
disco y booteo de la red? Ni hablar de un ruteador que tiene 6 placas de red del
mismo tipo y con IDE pero debo tener CBQ activado?
Por alguna razon la cual no entiendo termino instalando rpm con opciones "-Uvh
--force --nodeps" que es como si no tubiera rpm ya que de otra manera las
dependencias me matan.
No se si los .dev es mejor, solo se que aptget se encargara de instalarme las
dependencias, de todas maneras prefiero los fuentes y compilarlo yo a todo.
Puede que RPM fasilite a muchos el mantenimiento de un sistema. Pero si requiero
exprimir mi linux al maximo ni rpm, ni aptget te va dar lo mismo que make.
Post by Francisco Matias Cuenca-Acuna
En cuanto a RPM4, se puede conseguir un RPN en version 3 para
instalarlo, el unico truco es que tenes que hacer un rebuild de la base de
datos.
Yo utilizaria ese que traduce de rpm a dev y comenar a tener un sistema mas
debian. Yo estoy en esa proceso. Apesar de que SuSE esta basado en rpm.
Charlie
-
Para configurar su suscripcion, puede enviar email a
I am the one who is many.
Carlos Charlie Navarro
2006-02-11 18:31:05 UTC
Permalink
Post by Francisco Matias Cuenca-Acuna
No me parece que los RPM sean una cagada, mas aun en el caso de
los kernels red hat es mucho mas conveniente (comparado con los tar) porque
de fabrica viene pichicateados (ej: el raid de los kernels 2.2 es el que
esta va a ser entregado en la version 2.4). Ademas si tu plataforma es RH
te aseguras que todo va a estar en la posicion correcta asi subsecuentes
patches andan OK
Estimado Matias, vamos a aclarar algo, RPM es una cagada.
En teoria no deberia haber pichicateos ya que es software libre y deberias
conseguir lo mismo parchando a gusto tu kernel hasta que este pueda hacer pororo.
Para el raid o LVM bajas el kernel de ftp.kernel.org y de sistina.com los parches
y los utilitarios y magicamente y por tu propia mano tenes un kernel 2.2.x o lo
que sea con soporte de RAID o LVM.
Si uno tiene cuidado y tiene una distro "La pindonga" puede parcharla ad-nauseam
para que paresca otra distro o una BeBox.
Ademas los kernel de las distro vienen cosas que no necesitas, yo uso SuSE asi que
mi kernel en rpm biene compilado por modulos para todas las placas de red y SCSI
que el kernel soporta, para que si yo tengo un 486 con una NE200 y un modem sin
disco y booteo de la red? Ni hablar de un ruteador que tiene 6 placas de red del
mismo tipo y con IDE pero debo tener CBQ activado?
Por alguna razon la cual no entiendo termino instalando rpm con opciones "-Uvh
--force --nodeps" que es como si no tubiera rpm ya que de otra manera las
dependencias me matan.
No se si los .dev es mejor, solo se que aptget se encargara de instalarme las
dependencias, de todas maneras prefiero los fuentes y compilarlo yo a todo.
Puede que RPM fasilite a muchos el mantenimiento de un sistema. Pero si requiero
exprimir mi linux al maximo ni rpm, ni aptget te va dar lo mismo que make.
Post by Francisco Matias Cuenca-Acuna
En cuanto a RPM4, se puede conseguir un RPN en version 3 para
instalarlo, el unico truco es que tenes que hacer un rebuild de la base de
datos.
Yo utilizaria ese que traduce de rpm a dev y comenar a tener un sistema mas
debian. Yo estoy en esa proceso. Apesar de que SuSE esta basado en rpm.

Charlie
John R Lenton
2005-06-24 16:48:33 UTC
Permalink
Post by Carlos Charlie Navarro
compilas y haces todo sin depender de las restricciones de los rpm que nunca
estan muy seguro de lo que tienen en sus bases de datos.
Hasta John que trabaja con debian en que la base de datos es mas estable baja
tar.gz o tar.bz2
si fuera purista usaría make-kpkg, que agarra el .tar.bz2 (o gz, si
alguien lo usa todavía) y lo convierte en la ristra de .debs que hacen
falta...

Pero no soy purista.
--
John Lenton (john-od3Ii2+oAupd+***@public.gmane.org) -- Random fortune:
"Life begins when you can spend your spare time programming instead of
watching television."
-- Cal Keegan
Héctor Jaskolowski
2006-02-11 18:30:54 UTC
Permalink
los baje de un sitio de Peru
pero hasta ahora no habia tenido esos problemas... tal vez estan compilados
con una nueva version de rpm...
Post by Carlos Charlie Navarro
No se de donde bajaste esos RPM, lo que si con los kernel lo mejor es bajarse de
ftp.kernel.org el kernel de tu preferencia, los cuales viene tar y gz o bz2 y con
tar zxvf linux-xxxx.tar.gz o tar Ixvf linux-tar.gz
compilas y haces todo sin depender de las restricciones de los rpm que nunca
estan muy seguro de lo que tienen en sus bases de datos.
Hasta John que trabaja con debian en que la base de datos es mas estable baja
tar.gz o tar.bz2
Charlie
Francisco Matias Cuenca-Acuna
2006-02-11 18:31:01 UTC
Permalink
No me parece que los RPM sean una cagada, mas aun en el caso de
los kernels red hat es mucho mas conveniente (comparado con los tar) porque
de fabrica viene pichicateados (ej: el raid de los kernels 2.2 es el que
esta va a ser entregado en la version 2.4). Ademas si tu plataforma es RH
te aseguras que todo va a estar en la posicion correcta asi subsecuentes
patches andan OK
En cuanto a RPM4, se puede conseguir un RPN en version 3 para
instalarlo, el unico truco es que tenes que hacer un rebuild de la base de
datos.
Matias
Post by Héctor Jaskolowski
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando
Post by Héctor Jaskolowski
los quise instalar pa joder nomas el rpm me mando un mensaje que no puede
instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
No se de donde bajaste esos RPM, lo que si con los kernel lo mejor es bajarse de
ftp.kernel.org el kernel de tu preferencia, los cuales viene tar y gz o bz2 y con
tar zxvf linux-xxxx.tar.gz o tar Ixvf linux-tar.gz
compilas y haces todo sin depender de las restricciones de los rpm que nunca
estan muy seguro de lo que tienen en sus bases de datos.
Hasta John que trabaja con debian en que la base de datos es mas estable baja
tar.gz o tar.bz2
Charlie
-
Para configurar su suscripcion, puede enviar email a
I am the one who is many.
John R Lenton
2006-02-11 18:31:35 UTC
Permalink
Post by Carlos Charlie Navarro
compilas y haces todo sin depender de las restricciones de los rpm que nunca
estan muy seguro de lo que tienen en sus bases de datos.
Hasta John que trabaja con debian en que la base de datos es mas estable baja
tar.gz o tar.bz2
si fuera purista usaría make-kpkg, que agarra el .tar.bz2 (o gz, si
alguien lo usa todavía) y lo convierte en la ristra de .debs que hacen
falta...

Pero no soy purista.
--
John Lenton (john-od3Ii2+oAupd+***@public.gmane.org) -- Random fortune:
"Life begins when you can spend your spare time programming instead of
watching television."
-- Cal Keegan
Marcos Dione
2005-06-24 16:46:09 UTC
Permalink
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando los quise instalar pa joder nomas el rpm me mando un mensaje que no
puede instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
ok, rpm es una cagada, no? si, pasa que te bajastes un rpm en formato rpm4,
y casi todas las distros excepto mdk-7.2 y creo que RH-6.2, trean el rpm que
lee hasta 3. todavia no he podido instalar un rpm4 en mi maquina (ando con
dramas identicos), y el fede estuvo peleando con uno que se bajo pero que le
pedia mas rpm como dependencias y a su vez mas y mas (apt-rpm, TE
NECESITAMOS!)... y yo me baje el rpm-4.0-src.rpm para compilarlo y hacer un
rpm en rpm3 y poder instalarlo y de paso dejar el rpm por ahi pa quien lo
necesite, pero... ESTA EN RPM4!!! ni forma de abrirlo. creo que la solucion
es o bancarsela o bajarse un tar.gz con los sources del rpm4, compilar, etc.
IGNACIO JOSE SANCHEZ BALZARETTI
2005-06-24 16:46:22 UTC
Permalink
anoche me baj=E9 los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando los quise instalar pa joder nomas el rpm me mando un mensaje que=
no
puede instalar paquetes de version <3
el linux es un RH62 sin ninguna actualizaci=F3n...
para instalar este kernel tengo que cambiar mi versi=F3n de rmp?
=20
=09ok, rpm es una cagada, no? si, pasa que te bajastes un rpm en formato =
rpm4,=20
y casi todas las distros excepto mdk-7.2 y creo que RH-6.2, trean el rpm =
que=20
lee hasta 3. todavia no he podido instalar un rpm4 en mi maquina (ando co=
n=20
dramas identicos), y el fede estuvo peleando con uno que se bajo pero que=
le=20
pedia mas rpm como dependencias y a su vez mas y mas (apt-rpm, TE=20
NECESITAMOS!)... y yo me baje el rpm-4.0-src.rpm para compilarlo y hacer =
un=20
rpm en rpm3 y poder instalarlo y de paso dejar el rpm por ahi pa quien lo=
=20
necesite, pero... ESTA EN RPM4!!! ni forma de abrirlo. creo que la soluci=
on=20
es o bancarsela o bajarse un tar.gz con los sources del rpm4, compilar, e=
tc.

=09Yo baje hace tiempo atras de rpm.org la version de RPM4 en formate
RPM3 pero tube problemas al convertir la base de datos que mantinene.
=09La base de datos que trae el RPM3 esta en DB1 y la que trae el
RPM4 esta en DB3.
=09Si bien tiene una opcion para convertir la base de datos, esta
fracaso rotundamente.
=09El RedHat 7 es el unico que conozco que tiene soporte para RPM4=20


=09=09=09=09=09=09Nos vemos..

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~=
~~~~~
Ignacio J. Sanchez B.
=09=09=09=09=09=09ignacio-zPyVGIFbvdAb/***@public.gmane.org
=20
IGNACIO JOSE SANCHEZ BALZARETTI
2006-02-11 18:30:58 UTC
Permalink
anoche me baj=E9 los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando los quise instalar pa joder nomas el rpm me mando un mensaje que=
no
puede instalar paquetes de version <3
el linux es un RH62 sin ninguna actualizaci=F3n...
para instalar este kernel tengo que cambiar mi versi=F3n de rmp?
=20
=09ok, rpm es una cagada, no? si, pasa que te bajastes un rpm en formato =
rpm4,=20
y casi todas las distros excepto mdk-7.2 y creo que RH-6.2, trean el rpm =
que=20
lee hasta 3. todavia no he podido instalar un rpm4 en mi maquina (ando co=
n=20
dramas identicos), y el fede estuvo peleando con uno que se bajo pero que=
le=20
pedia mas rpm como dependencias y a su vez mas y mas (apt-rpm, TE=20
NECESITAMOS!)... y yo me baje el rpm-4.0-src.rpm para compilarlo y hacer =
un=20
rpm en rpm3 y poder instalarlo y de paso dejar el rpm por ahi pa quien lo=
=20
necesite, pero... ESTA EN RPM4!!! ni forma de abrirlo. creo que la soluci=
on=20
es o bancarsela o bajarse un tar.gz con los sources del rpm4, compilar, e=
tc.

=09Yo baje hace tiempo atras de rpm.org la version de RPM4 en formate
RPM3 pero tube problemas al convertir la base de datos que mantinene.
=09La base de datos que trae el RPM3 esta en DB1 y la que trae el
RPM4 esta en DB3.
=09Si bien tiene una opcion para convertir la base de datos, esta
fracaso rotundamente.
=09El RedHat 7 es el unico que conozco que tiene soporte para RPM4=20


=09=09=09=09=09=09Nos vemos..

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~=
~~~~~
Ignacio J. Sanchez B.
=09=09=09=09=09=09ignacio-zPyVGIFbvdAb/***@public.gmane.org
=20
Ramiro Morales
2005-06-24 16:46:26 UTC
Permalink
El tema es así:

La version "puente" entre los formatos rpm 3 y 4 del rpm
es la 3.0.5 (me comentaron que la 3.0.4 tambien
funciona.

Esta noticia aparecio hace meses como update necesario
en la lista de actualizaciones de seguridad y correcciones
de Red Hat para el RHL 6.2.

De manera que si instalas esa version del rpm
podes manejar archivos rpm v 3 o v4.

Una vez hecho eso podrías intentar instalar los rpms
{kernel, kernel-headers y kernel-source, kernel-utils}-2.4....

Aunque si tenes desconfianza y si bajaste el
kernel-2.4-....src.rpm podes darle

rpm --rebuild kernel-2.4-....src.rpm

para obtener los paquetes de arriba fresquitos.

Me podrían contar quien publico esos rpms del kernel
2.4 ?

Suerte !

------Original Message------
From: Marcos Dione <mdione-***@public.gmane.org>
To: grulic-od3Ii2+oAupd+***@public.gmane.org
Sent: December 15, 2000 10:59:56 AM GMT
Subject: Re: [GRULIC] la version del RPM
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando los quise instalar pa joder nomas el rpm me mando un mensaje que no
puede instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
ok, rpm es una cagada, no? si, pasa que te bajastes un rpm en formato rpm4,
y casi todas las distros excepto mdk-7.2 y creo que RH-6.2, trean el rpm que
lee hasta 3. todavia no he podido instalar un rpm4 en mi maquina (ando con
dramas identicos), y el fede estuvo peleando con uno que se bajo pero que le
pedia mas rpm como dependencias y a su vez mas y mas (apt-rpm, TE
NECESITAMOS!)... y yo me baje el rpm-4.0-src.rpm para compilarlo y hacer un
rpm en rpm3 y poder instalarlo y de paso dejar el rpm por ahi pa quien lo
necesite, pero... ESTA EN RPM4!!! ni forma de abrirlo. creo que la solucion
es o bancarsela o bajarse un tar.gz con los sources del rpm4, compilar, etc.

-
Para configurar su suscripcion, puede enviar email a
grulic-request-H3a39Oa+***@public.gmane.org, o visitar
http://mx.grulic.org.ar/list
I am the one who is many.


______________________________________________
FREE Personalized Email at Mail.com
Sign up at http://www.mail.com/?sr=signup
Héctor Jaskolowski
2005-06-24 16:47:03 UTC
Permalink
estos los baje de:
ftp://sajino.terra.com.pe/pub/linux/redhat/rawhide/i386/RedHat/RPMS/kernel-s
ource-2.4.0-0.37.i386.rpm
Post by Ramiro Morales
Me podrían contar quien publico esos rpms del kernel
2.4 ?
Suerte !
Héctor Jaskolowski
2006-02-11 18:31:07 UTC
Permalink
estos los baje de:
ftp://sajino.terra.com.pe/pub/linux/redhat/rawhide/i386/RedHat/RPMS/kernel-s
ource-2.4.0-0.37.i386.rpm
Post by Ramiro Morales
Me podrían contar quien publico esos rpms del kernel
2.4 ?
Suerte !
Ramiro Morales
2005-06-24 16:46:27 UTC
Permalink
El tema es así:

La version "puente" entre los formatos rpm 3 y 4 del rpm
es la 3.0.5 (me comentaron que la 3.0.4 tambien
funciona.

Esta noticia aparecio hace meses como update necesario
en la lista de actualizaciones de seguridad y correcciones
de Red Hat para el RHL 6.2.

De manera que si instalas esa version del rpm
podes manejar archivos rpm v 3 o v4.

Una vez hecho eso podrías intentar instalar los rpms
{kernel, kernel-headers y kernel-source, kernel-utils}-2.4....

Aunque si tenes desconfianza y si bajaste el
kernel-2.4-....src.rpm podes darle

rpm --rebuild kernel-2.4-....src.rpm

para obtener los paquetes de arriba fresquitos.

Me podrían contar quien publico esos rpms del kernel
2.4 ?

Suerte !

------Original Message------
From: Marcos Dione <mdione-***@public.gmane.org>
To: grulic-od3Ii2+oAupd+***@public.gmane.org
Sent: December 15, 2000 10:59:56 AM GMT
Subject: Re: [GRULIC] la version del RPM
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando los quise instalar pa joder nomas el rpm me mando un mensaje que no
puede instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
ok, rpm es una cagada, no? si, pasa que te bajastes un rpm en formato rpm4,
y casi todas las distros excepto mdk-7.2 y creo que RH-6.2, trean el rpm que
lee hasta 3. todavia no he podido instalar un rpm4 en mi maquina (ando con
dramas identicos), y el fede estuvo peleando con uno que se bajo pero que le
pedia mas rpm como dependencias y a su vez mas y mas (apt-rpm, TE
NECESITAMOS!)... y yo me baje el rpm-4.0-src.rpm para compilarlo y hacer un
rpm en rpm3 y poder instalarlo y de paso dejar el rpm por ahi pa quien lo
necesite, pero... ESTA EN RPM4!!! ni forma de abrirlo. creo que la solucion
es o bancarsela o bajarse un tar.gz con los sources del rpm4, compilar, etc.

-
Para configurar su suscripcion, puede enviar email a
grulic-request-H3a39Oa+***@public.gmane.org, o visitar
http://mx.grulic.org.ar/list
I am the one who is many.


______________________________________________
FREE Personalized Email at Mail.com
Sign up at http://www.mail.com/?sr=signup
Carlos Charlie Navarro
2006-02-11 18:30:48 UTC
Permalink
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y cuando
los quise instalar pa joder nomas el rpm me mando un mensaje que no puede
instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
No se de donde bajaste esos RPM, lo que si con los kernel lo mejor es bajarse de
ftp.kernel.org el kernel de tu preferencia, los cuales viene tar y gz o bz2 y con
el comando:

tar zxvf linux-xxxx.tar.gz o tar Ixvf linux-tar.gz

compilas y haces todo sin depender de las restricciones de los rpm que nunca
estan muy seguro de lo que tienen en sus bases de datos.
Hasta John que trabaja con debian en que la base de datos es mas estable baja
tar.gz o tar.bz2

Charlie
Marcos Dione
2006-02-11 18:30:53 UTC
Permalink
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando los quise instalar pa joder nomas el rpm me mando un mensaje que no
puede instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
ok, rpm es una cagada, no? si, pasa que te bajastes un rpm en formato rpm4,
y casi todas las distros excepto mdk-7.2 y creo que RH-6.2, trean el rpm que
lee hasta 3. todavia no he podido instalar un rpm4 en mi maquina (ando con
dramas identicos), y el fede estuvo peleando con uno que se bajo pero que le
pedia mas rpm como dependencias y a su vez mas y mas (apt-rpm, TE
NECESITAMOS!)... y yo me baje el rpm-4.0-src.rpm para compilarlo y hacer un
rpm en rpm3 y poder instalarlo y de paso dejar el rpm por ahi pa quien lo
necesite, pero... ESTA EN RPM4!!! ni forma de abrirlo. creo que la solucion
es o bancarsela o bajarse un tar.gz con los sources del rpm4, compilar, etc.
Ramiro Morales
2006-02-11 18:30:59 UTC
Permalink
El tema es así:

La version "puente" entre los formatos rpm 3 y 4 del rpm
es la 3.0.5 (me comentaron que la 3.0.4 tambien
funciona.

Esta noticia aparecio hace meses como update necesario
en la lista de actualizaciones de seguridad y correcciones
de Red Hat para el RHL 6.2.

De manera que si instalas esa version del rpm
podes manejar archivos rpm v 3 o v4.

Una vez hecho eso podrías intentar instalar los rpms
{kernel, kernel-headers y kernel-source, kernel-utils}-2.4....

Aunque si tenes desconfianza y si bajaste el
kernel-2.4-....src.rpm podes darle

rpm --rebuild kernel-2.4-....src.rpm

para obtener los paquetes de arriba fresquitos.

Me podrían contar quien publico esos rpms del kernel
2.4 ?

Suerte !

------Original Message------
From: Marcos Dione <mdione-***@public.gmane.org>
To: grulic-od3Ii2+oAupd+***@public.gmane.org
Sent: December 15, 2000 10:59:56 AM GMT
Subject: Re: [GRULIC] la version del RPM
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando los quise instalar pa joder nomas el rpm me mando un mensaje que no
puede instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
ok, rpm es una cagada, no? si, pasa que te bajastes un rpm en formato rpm4,
y casi todas las distros excepto mdk-7.2 y creo que RH-6.2, trean el rpm que
lee hasta 3. todavia no he podido instalar un rpm4 en mi maquina (ando con
dramas identicos), y el fede estuvo peleando con uno que se bajo pero que le
pedia mas rpm como dependencias y a su vez mas y mas (apt-rpm, TE
NECESITAMOS!)... y yo me baje el rpm-4.0-src.rpm para compilarlo y hacer un
rpm en rpm3 y poder instalarlo y de paso dejar el rpm por ahi pa quien lo
necesite, pero... ESTA EN RPM4!!! ni forma de abrirlo. creo que la solucion
es o bancarsela o bajarse un tar.gz con los sources del rpm4, compilar, etc.
Ramiro Morales
2006-02-11 18:31:00 UTC
Permalink
El tema es así:

La version "puente" entre los formatos rpm 3 y 4 del rpm
es la 3.0.5 (me comentaron que la 3.0.4 tambien
funciona.

Esta noticia aparecio hace meses como update necesario
en la lista de actualizaciones de seguridad y correcciones
de Red Hat para el RHL 6.2.

De manera que si instalas esa version del rpm
podes manejar archivos rpm v 3 o v4.

Una vez hecho eso podrías intentar instalar los rpms
{kernel, kernel-headers y kernel-source, kernel-utils}-2.4....

Aunque si tenes desconfianza y si bajaste el
kernel-2.4-....src.rpm podes darle

rpm --rebuild kernel-2.4-....src.rpm

para obtener los paquetes de arriba fresquitos.

Me podrían contar quien publico esos rpms del kernel
2.4 ?

Suerte !

------Original Message------
From: Marcos Dione <mdione-***@public.gmane.org>
To: grulic-od3Ii2+oAupd+***@public.gmane.org
Sent: December 15, 2000 10:59:56 AM GMT
Subject: Re: [GRULIC] la version del RPM
Post by Héctor Jaskolowski
anoche me bajé los RPM sources y demas yerbas del kernel 2.4.0-0.37 y
cuando los quise instalar pa joder nomas el rpm me mando un mensaje que no
puede instalar paquetes de version <3
el linux es un RH62 sin ninguna actualización...
para instalar este kernel tengo que cambiar mi versión de rmp?
ok, rpm es una cagada, no? si, pasa que te bajastes un rpm en formato rpm4,
y casi todas las distros excepto mdk-7.2 y creo que RH-6.2, trean el rpm que
lee hasta 3. todavia no he podido instalar un rpm4 en mi maquina (ando con
dramas identicos), y el fede estuvo peleando con uno que se bajo pero que le
pedia mas rpm como dependencias y a su vez mas y mas (apt-rpm, TE
NECESITAMOS!)... y yo me baje el rpm-4.0-src.rpm para compilarlo y hacer un
rpm en rpm3 y poder instalarlo y de paso dejar el rpm por ahi pa quien lo
necesite, pero... ESTA EN RPM4!!! ni forma de abrirlo. creo que la solucion
es o bancarsela o bajarse un tar.gz con los sources del rpm4, compilar, etc.
Continue reading on narkive:
Loading...